Skip to main content
POST
/
api
/
v2
/
verification
/
business_aml
Business AML Screening
curl --request POST \
  --url https://{environment-subdomain}.idmetagroup.com/api/v2/verification/business_aml \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "template_id": "{your_trust_flow_id}",
  "verification_id": "{your_created_verification_id}"
}
'
{
  "status": true,
  "message": "OK",
  "result": {
    "results": {
      "matchCount": 1,
      "matches": [
        {
          "qrCode": "1519032",
          "resourceId": "7b81b363cf6e5329293d85b90da451f78b1dfd570fcc996feaeddf95973a4775",
          "score": 80,
          "match": "Majestyk Sports Consultancy Ltd",
          "name": "Majestyk Sports Consultancy Ltd",
          "countries": [
            "GB"
          ],
          "addresses": [
            {
              "geography": "GB"
            }
          ],
          "datasets": [
            "INS"
          ],
          "currentSanBodyIds": [],
          "formerSanBodyIds": [],
          "version": 1652817693988,
          "resourceUri": "/businesses/7b81b363cf6e5329293d85b90da451f78b1dfd570fcc996feaeddf95973a4775"
        }
      ]
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.idmetagroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Bearer {your_api_token} in the Authorization header.

Headers

Accept
string
default:application/json
Content-Type
string
default:application/json

Body

application/json
name
string
required

Business name for verification

template_id
string
required

Identifier used to categorize or group requests for tracking or reporting.

verification_id
string
required

Unique identifier for the verification request, used for traceability.

Response

200 - application/json

Business AML screening completed successfully

status
boolean
message
string
result
object